flex-splitter {
	background: var(--color-dark-gray);
}

flex-splitter[type="vertical"] {
	width: 6px;
	cursor: ew-resize;
}

flex-splitter[type="horizontal"] {
	height: 6px;
	cursor: ns-resize;
}

flex-splitter div[el="dock"] {
	opacity:0;
	background: var(--color-teal);
	position: absolute;
	cursor: default;
	z-index: 99999;
}

flex-splitter[type="vertical"] > div[el="dock"] {
	width: 6px;
	height: 40px;
}

flex-splitter[type="vertical"][dock="left-right"] > div[el="dock"] {
	border-top-right-radius:	20px;
	border-bottom-right-radius:	20px;
	transition: width 0.2s, opacity .01s;
	cursor: pointer;
}

flex-splitter[type="vertical"][dock="left-right"] > div[el="dock"]:hover {
	width: 20px;
	opacity:1;
}

flex-splitter[type="vertical"][dock="right-left"] > div[el="dock"] {
	border-top-left-radius:	20px;
	border-bottom-left-radius:	20px;
	transition: width 0.2s, margin-left 0.2s, opacity .01s;
	cursor: pointer;
}

flex-splitter[type="vertical"][dock="right-left"] > div[el="dock"]:hover {
	margin-left: -14px;
	width: 20px;
	opacity:1;
}

flex-splitter[type="horizontal"] div[el="dock"] {
	width: 40px;
	height: 6px;
}

flex-splitter[type="horizontal"][dock="bottom-top"] div[el="dock"] {
	border-top-right-radius:	20px;
	border-top-left-radius:	20px;
	transition: height 0.2s, margin-top 0.2s, opacity .01s;
	cursor: pointer;
}

flex-splitter[type="horizontal"][dock="bottom-top"] div[el="dock"]:hover {
	margin-top: -14px;
	height: 20px;
	opacity:1;
}

flex-splitter[type="horizontal"][dock="top-bottom"] div[el="dock"] {
	border-bottom-right-radius:	20px;
	border-bottom-left-radius:	20px;
	transition: height 0.2s, opacity .01s;
	cursor: pointer;
}

flex-splitter[type="horizontal"][dock="top-bottom"] div[el="dock"]:hover  {
	height: 20px;
	opacity:1;
}

flex-splitter > div[el="ghost"] {
	display: none;
	position:absolute;
	z-index: 99999;
	background-color: rgba(0, 0, 0, .5);
}

flex-splitter[type="vertical"] > div[el="ghost"] {
	top:0;
	bottom:0;
	width: 6px;
}

flex-splitter[type="horizontal"] > div[el="ghost"] {
	height: 6px;
}
